> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/3.-consulta-obtener-imagenes-de-satelite.md).

# 3. Consulta: obtener "Imágenes de satélite"

Obtener "SatelliteImages" con un umbral de nubes definido para el "Field".

Sugerencias:&#x20;

* Leer todos los "Farms" accesibles para el "User" - eliminar *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Trabajo similar con "Fields", "SatelliteImages", "VectorAnalysisMap".
* Permitido `geoMapType` filtrar con valores aceptables: `ALL`, `ORIGIN`, `CROPPED`, `RAW`, `PROCESSED`, `THUMBNAIL`, `CONTRAST`
* Filtros permitidos relacionados con fechas: `antes` y `después` que pertenecen a [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) formato. Es posible usar solo uno de los filtros. Más detalles están [AQUÍ](/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/37.-consulta-obtener-imagenes-de-satelite-en-el-intervalo-definido.md).
* Permitido `provider` filtrar con valores aceptables: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Permitido `umbral` el filtro resalta la cobertura de nubes: "1" significa libre de nubes, "0" - completamente nublado.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      name
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        recomendedForMutliYearAnalytics 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      name
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recomendedForMutliYearAnalytics
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/3.-consulta-obtener-imagenes-de-satelite.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
